IBND_ITER_NODES(3)

NAME
ibnd_iter_nodes, ibnd_iter_nodes_type - given a fabric object and a function itterate over the nodes in the fabric.

SYNOPSIS
#include <infiniband/ibnetdisc.h>

void ibnd_iter_nodes(ibnd_fabric_t *fabric, ibnd_iter_func_t func, void *user_data)
void ibnd_iter_nodes_type(ibnd_fabric_t *fabric, ibnd_iter_func_t func, ibnd_node_type_t type, void *user_data)

DESCRIPTION
ibnd_iter_nodes() Itterate through all the nodes in the fabric and call "func" on them. ibnd_iter_nodes_type() The same as ibnd_iter_nodes except to limit the iteration to the nodes with the specified type.

RETURN VALUE
ibnd_iter_nodes(), ibnd_iter_nodes_type() NONE

AUTHORS

Ira Weiny <weiny2@llnl.gov>